export type FileLink = {
    path: ParsePath;
    link: Array<string>;
};
export declare function addRemoteFilesToList(files: Array<FileLink>, input: string | Array<string>, link: Array<string>): void;
export declare function addLocalFilesToList(files: Array<FileLink>, input: string | Array<string>, link: Array<string>): void;
export declare function resolvePath(path: string): string;
export declare function resolvePathRelativeToScope(child: string, parent?: string | undefined): string;
export declare const PATH_TYPE: string[];
export type PathType = (typeof PATH_TYPE)[number];
export type ParsePath = {
    type: 'file-uri';
    protocol: 'file:';
    href: string;
} | {
    type: Exclude<PathType, 'file-path'>;
    protocol: string;
    hostname?: string;
    username?: string;
    password?: string;
    port?: number;
    pathname?: string;
    search?: string;
    href: string;
};
export declare function parsePath(path: string): ParsePath;
export declare function getPathType(path: string): PathType;
